Oops; I think I sent this reply (initially) only to Christian. I'm
sharing it now with the group. I still don't know what's going on. I
finally got it working (it appears) for us by writing my own evolver
that forced removal of all old Utility Registrations and also forced
removing the Dependencies on the local utilities themselves.

But it wasn't enough. We have to go back to Zope 3.1 for this
particular project. We've lost way too much time wrestling with
obscure issues last week, and I've declared Zope as "hazardous to my
health" as it was the final straw that got me smoking again after two
months clean.

On 11/3/06, Christian Theune <[EMAIL PROTECTED]> wrote:
Jeff Shell wrote:
> On 11/3/06, Christian Theune <[EMAIL PROTECTED]> wrote:
>> Hi,
>> what about calling the evolve() scripts from your generation? That would
>> be reasonable IMHO.
> I'm trying to do that now. And now it seems that evolve3 (for
> zope.app) is failing because it wants to use the new Registrations
> system to do something to Pluggable Auth group folders...? But of
> course, the new registrations system won't work until evolve4!
> Blargh. I was hoping to run the zope.app registrations fairly
> "properly" through the schema manager, starting from the current until
> I got to the level I require... But it looks like I'll have to
> manually monkey with the order...

Humm. I know that. I thought we evened that out during beta.

Out of curiosity: did you try bumping the minimum version to 5 so all
generations get run at once?

I tried running the 'evolve-maximum' subscriber, and set my product's
maximum to just be '1' for now instead of 2 (2 being the one that
wants to use the registration system). It still errors out in zope.app
generation 3... Waaa!

Jeff Shell
Zope3-dev mailing list
Unsub: http://mail.zope.org/mailman/options/zope3-dev/archive%40mail-archive.com

Reply via email to